## kf6-kpeople 6.18.0+p24.04+vstable+git20250925.1403

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts
project (KPeople VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMAddTests)
include(CMakePackageConfigHelpers)
include(ECMGenerateExportHeader)
include(ECMGenerateQDoc)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMQmlModule)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql Widgets Qml Quick)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
endif()

find_package(KF6CoreAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_DEP_VERSION} CONFIG REQUIRED)

add_definitions(-DTRANSLATION_DOMAIN=\"kpeople6\")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6People")

set(kpeople_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kpeople_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KPEOPLE
                        VERSION_HEADER "${kpeople_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PeopleConfigVersion.cmake"
                        SOVERSION 6)

option(ENABLE_EXAMPLES "Build the examples" "ON")

ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.18
)

add_subdirectory (src)
if (ENABLE_EXAMPLES)
  add_subdirectory(examples)
endif()
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PeopleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PeopleConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT KPeopleTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPeopleTargets.cmake NAMESPACE KF6::)
install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6PeopleConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6PeopleConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(
    FILES ${kpeople_version_header}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople
    COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kpeople (6.18.0+p24.04+vstable+git20250925.1403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 14:03:06 +0000

kf6-kpeople (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:56:46 +0000

kf6-kpeople (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:25:23 +0000

kf6-kpeople (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:34:32 +0000

kf6-kpeople (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:57:40 +0000

kf6-kpeople (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:55:13 +1000

kf6-kpeople (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:07:23 +0000

kf6-kpeople (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:07:10 +0000

kf6-kpeople (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:33:59 +0000

kf6-kpeople (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:05:58 +0000

kf6-kpeople (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:35:03 +0000

kf6-kpeople (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:37:50 +0000

kf6-kpeople (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:32:44 +0000

kf6-kpeople (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:39:34 +0000

kf6-kpeople (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:39:41 +0000

kf6-kpeople (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:48:07 +0000

kf6-kpeople (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:32:22 +1000

kf6-kpeople (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:00:19 +0000

kf6-kpeople (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:24:24 +0000

kf6-kpeople (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kpeople (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kpeople 6.18.0+p24.04+vstable+git20251005.0428

=== debian/changelog ===
kf6-kpeople (6.18.0+p24.04+vstable+git20251005.0428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 04:28:46 +0000

## kf6-kpeople 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

add_subdirectory(declarative)
add_subdirectory(widgets)
add_subdirectory(backends)

add_library(KF6People)
add_library(KF6::People ALIAS KF6People)

set_target_properties (KF6People PROPERTIES
    VERSION     ${KPEOPLE_VERSION}
    SOVERSION   ${KPEOPLE_SOVERSION}
    EXPORT_NAME People
)

qt_extract_metatypes(KF6People)

ecm_generate_export_header(KF6People
    EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kpeople/kpeople_export.h
    BASE_NAME KPeople
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
)

ecm_qt_declare_logging_category(KF6People
    HEADER kpeople_debug.h
    IDENTIFIER KPEOPLE_LOG
    CATEGORY_NAME kf.people.core
    OLD_CATEGORY_NAMES kf5.kpeople
    DESCRIPTION "kpeople lib"
    EXPORT KPEOPLE
)

target_sources(KF6People PRIVATE
    actions.cpp
    global.cpp
    metacontact.cpp
    persondata.cpp
    matchessolver.cpp
    match.cpp
    duplicatesfinder.cpp
    personsmodel.cpp
    personpluginmanager.cpp
    personmanager.cpp
    personssortfilterproxymodel.cpp
    resources.qrc
)

target_link_libraries (KF6People
                    PUBLIC
                        Qt6::Gui
                    PRIVATE
                        Qt6::Sql
                        KF6::I18n
                        KF6::CoreAddons
                        KF6::PeopleBackend
)

if(HAVE_QTDBUS)
    target_link_libraries(KF6People PRIVATE Qt6::DBus)
    target_compile_definitions(KF6People PRIVATE -DHAVE_QTDBUS=1)
else()
    target_compile_definitions(KF6People PRIVATE -DHAVE_QTDBUS=0)
endif()

target_include_directories (KF6People PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/kpeople>"
                                    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KPeople>"
)

if (MSVC)
    set_target_properties (KF6People PROPERTIES
                           OUTPUT_NAME libkpeople
    )
endif (MSVC)

# Install:
install (TARGETS KF6People
         EXPORT KPeopleTargets
         ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(KPeople_CamelCase_HEADERS
    HEADER_NAMES
        Actions
        PersonData
        PersonPluginManager
        PersonsModel
        PersonsSortFilterProxyModel
        Global
    REQUIRED_HEADERS KPeople_HEADERS
    PREFIX KPeople
)
install (FILES ${KPeople_CamelCase_HEADERS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/KPeople
         COMPONENT Devel
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kpeople/kpeople_export.h
  ${KPeople_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/kpeople COMPONENT Devel
)

install(FILES personmanager_p.h DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/kpeopleprivate)

ecm_qt_install_logging_categories(
    EXPORT KPEOPLE
    FILE kpeople.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if (ANDROID)
    install(FILES KF6People-android-dependencies.xml DESTINATION ${KDE_INSTALL_LIBDIR})
endif()

ecm_generate_qdoc(KF6People kpeople.qdocconf)

=== src/declarative/CMakeLists.txt ===
ecm_add_qml_module(KF6PeopleDeclarative URI org.kde.people VERSION 1.0 DEPENDENCIES QtCore)

target_sources(KF6PeopleDeclarative PRIVATE
    declarativepersondata.cpp
    personactionsmodel.cpp
    peopleqmlplugin.cpp
    avatarimageprovider.cpp
)

ecm_qt_declare_logging_category(KF6PeopleDeclarative
    HEADER kpeopledeclarative_debug.h
    IDENTIFIER KPEOPLE_DECLARATIVE_LOG
    CATEGORY_NAME kf.people.declarative
    DESCRIPTION "KPeople QML plugin"
    EXPORT KPEOPLE_DECLARATIVE
)

target_link_libraries(KF6PeopleDeclarative
    PRIVATE
    Qt6::Qml
    Qt6::Quick
    KF6PeopleBackend
    KF6::People
)

ecm_finalize_qml_module(KF6PeopleDeclarative DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kf6-kpeople (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:07:08 +0100

=== debian/control ===
Source: kf6-kpeople
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6contacts-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6itemviews-dev (>= 6.19.0~),
               libkf6widgetsaddons-dev (>= 6.19.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kpeople
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpeople
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpeople
Rules-Requires-Root: no

Package: libkf6people-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the data files.

Package: libkf6people-dev
Section: libdevel
Architecture: any
Depends: libkf6people6 (= ${binary:Version}),
         libkf6peoplebackend6 (= ${binary:Version}),
         libkf6peoplewidgets6 (= ${binary:Version}),
         qml6-module-org-kde-people (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6people-doc (= ${source:Version}),
Description: development files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6people-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6people6
Architecture: any
Multi-Arch: same
Depends: libkf6people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6peoplebackend6
Architecture: any
Multi-Arch: same
Depends: libkf6people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6peoplewidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.

Package: qml6-module-org-kde-people
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML module.

## kf6-kpeople 6.19.0+p24.04+vstable+git20251012.0303

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kpeople (6.19.0+p24.04+vstable+git20251012.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 03:03:15 +0000

kf6-kpeople (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:04:53 +0000

=== debian/control ===
Source: kf6-kpeople
Section: libs
Priority: optional
Build-Depends: cmake,
               dbus-x11,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kitemviews-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kpeople
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kpeople.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kpeople
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kpeople
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6people-data,
          libkf6people6,
          libkf6peoplebackend6,
          libkf6peoplewidgets6,
          qml6-module-org-kde-people
Description: data files for kpeople
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the data files.

Package: kf6-kpeople-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kpeople (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkf6people-dev, libkf6people-doc
Description: development files for kpeople
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6people6
Architecture: all
Depends: kf6-kpeople, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6people-data
Architecture: all
Depends: kf6-kpeople, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6people-dev
Architecture: all
Depends: kf6-kpeople-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6people-doc
Architecture: all
Depends: kf6-kpeople-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6peoplebackend6
Architecture: all
Depends: kf6-kpeople, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6peoplewidgets6
Architecture: all
Depends: kf6-kpeople, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-people
Architecture: all
Depends: kf6-kpeople, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export KDE_DOCS=/usr/share/qt6/doc/kde-qdoc-common-dev

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- prepare_docs
	dh_auto_build -- generate_docs
	dh_auto_build -- generate_qch

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- install_html_docs
	dh_auto_install -- install_qch_docs

## kf6-kpeople 6.19.0+p24.04+vstable+git20251021.0600

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 include(ECMDeprecationSettings)
 include(ECMQmlModule)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql Widgets Qml Quick)
 
 # shall we use DBus?

=== debian/changelog ===
kf6-kpeople (6.19.0+p24.04+vstable+git20251021.0600-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:00:54 +0000

## kf6-kpeople 6.19.0+p24.04+vunstable+git20251008.1135

=== debian/changelog ===
kf6-kpeople (6.19.0+p24.04+vunstable+git20251008.1135-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:35:49 +0000

## kf6-kpeople 6.19.0+p24.04+vunstable+git20251020.0307

=== debian/changelog ===
kf6-kpeople (6.19.0+p24.04+vunstable+git20251020.0307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:07:50 +0000

## kf6-kpeople 6.20.0

=== src/widgets/CMakeLists.txt ===
add_library(KF6PeopleWidgets)
add_library(KF6::PeopleWidgets ALIAS KF6PeopleWidgets)

set_target_properties(KF6PeopleWidgets PROPERTIES
    VERSION     ${KPEOPLE_VERSION}
    SOVERSION   ${KPEOPLE_SOVERSION}
    EXPORT_NAME PeopleWidgets
)

target_sources(KF6PeopleWidgets PRIVATE
    persondetailsdialog.cpp
    persondetailsview.cpp
    persondetailsdialog.cpp
    emaildetailswidget.cpp
    abstractfieldwidgetfactory.cpp

    mergedialog.cpp
    mergedelegate.cpp
)

ecm_generate_export_header(KF6PeopleWidgets
    EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kpeople/widgets/kpeoplewidgets_export.h
    BASE_NAME KPeopleWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME KPeople
    DEPRECATED_BASE_VERSION 0
)

ecm_qt_declare_logging_category(KF6PeopleWidgets
    HEADER kpeople_widgets_debug.h
    IDENTIFIER KPEOPLE_WIDGETS_LOG
    CATEGORY_NAME kf.people.widgets
    OLD_CATEGORY_NAMES kf5.kpeople.widgets
    DESCRIPTION "kpeople widgets"
    EXPORT KPEOPLE
)

ki18n_wrap_ui(KF6PeopleWidgets person-details-presentation.ui)

target_link_libraries (KF6PeopleWidgets
                    PUBLIC
                        KF6::People
                        Qt6::Widgets
                    PRIVATE
                        KF6::I18n
                        KF6::ItemViews
                        KF6::WidgetsAddons
                        KF6::PeopleBackend
                        KF6::CoreAddons
)

if (MSVC)
    set_target_properties (KF6PeopleWidgets PROPERTIES
                           OUTPUT_NAME libKPeopleWidgets
    )
endif (MSVC)

# Install:
install (TARGETS KF6PeopleWidgets
         EXPORT KPeopleTargets
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(KPeopleWidgets_CamelCase_HEADERS
    HEADER_NAMES
            AbstractFieldWidgetFactory
            PersonDetailsView
            MergeDialog
            PersonDetailsDialog
    REQUIRED_HEADERS KPeopleWidgets_HEADERS
    PREFIX KPeople/Widgets
)

install (FILES ${KPeopleWidgets_CamelCase_HEADERS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/KPeople/Widgets
         COMPONENT Devel
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kpeople/widgets/kpeoplewidgets_export.h
  ${KPeopleWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/kpeople/widgets COMPONENT Devel
)

ecm_generate_qdoc(KF6PeopleWidgets kpeoplewidgets.qdocconf)

=== debian/changelog ===
kf6-kpeople (6.20.0-2) unstable; urgency=medium

  * Team upload.
  * Disable the parallel execution for dh_auto_test to see whether it makes the
    test suite more stable.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Nov 2025 11:39:01 +0100

kf6-kpeople (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Re-enable build-time tests, switch test dependency from dbus-x11 to
    dbus-daemon. (Closes: #1117075)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:34 +0100

=== debian/control ===
Source: kf6-kpeople
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-daemon <!nocheck>,
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6contacts-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6itemviews-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kpeople
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpeople
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpeople.git

Package: libkf6people-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the data files.

Package: libkf6people-dev
Section: libdevel
Architecture: any
Depends: libkf6people6 (= ${binary:Version}),
         libkf6peoplebackend6 (= ${binary:Version}),
         libkf6peoplewidgets6 (= ${binary:Version}),
         qml6-module-org-kde-people (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6people-doc (= ${source:Version}),
Description: development files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6people-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6people6
Architecture: any
Multi-Arch: same
Depends: libkf6people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6peoplebackend6
Architecture: any
Multi-Arch: same
Depends: libkf6people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.

Package: libkf6peoplewidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.

Package: qml6-module-org-kde-people
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the QML module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test --no-parallel

## kf6-kpeople 6.20.0+p24.04+vunstable+git20251122.0759

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -64,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.5
-    KF 6.18
+    KF 6.19
 )
 
 add_subdirectory (src)

=== debian/changelog ===
kf6-kpeople (6.20.0+p24.04+vunstable+git20251122.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 07:59:45 +0000

kf6-kpeople (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:48 +1000

## kf6-kpeople 6.20.0+p24.04+vunstable+git20251206.0326

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kpeople (6.20.0+p24.04+vunstable+git20251206.0326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:26:09 +0000

## kf6-kpeople 6.21.0

=== debian/changelog ===
kf6-kpeople (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:52:41 +0000

kf6-kpeople (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kpeople
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,24 +10,23 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
-               dbus-daemon <!nocheck>,
+               dbus-x11,
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6contacts-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6itemviews-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6contacts-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6itemviews-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kpeople
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpeople
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpeople.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpeople
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpeople
+Rules-Requires-Root: no
 
 Package: libkf6people-data
 Architecture: all
@@ -50,7 +50,7 @@
          libkf6peoplebackend6 (= ${binary:Version}),
          libkf6peoplewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-people (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6people-doc (= ${source:Version}),
 Description: development files for kpeople
@@ -128,9 +128,7 @@
 Package: qml6-module-org-kde-people
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.

## kf6-kpeople 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -64,7 +64,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.5
-    KF 6.19
+    KF 6.21
 )
 
 add_subdirectory (src)

=== debian/changelog ===
kf6-kpeople (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:31:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-x11,
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6contacts-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6itemviews-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6contacts-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6itemviews-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),

## kf6-kpeople 6.22.0+p24.04+vstable+git20260205.2151

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kpeople (6.22.0+p24.04+vstable+git20260205.2151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 21:51:44 +0000

kf6-kpeople (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:45 +1000

kf6-kpeople (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:23 +1000

## kf6-kpeople 6.22.0+p24.04+vunstable+git20260201.0607

=== debian/changelog ===
kf6-kpeople (6.22.0+p24.04+vunstable+git20260201.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:07:42 +0000

## kf6-kpeople 6.22.0+p24.04+vunstable+git20260209.0558

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.24.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kpeople (6.22.0+p24.04+vunstable+git20260209.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 05:58:47 +0000

## kf6-kpeople 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.24.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kpeople (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,31 @@
 Source: kf6-kpeople
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.27~),
+               dbus-daemon <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
-               libkf6contacts-dev (>= 6.22.0~),
-               libkf6coreaddons-dev (>= 6.22.0~),
-               libkf6i18n-dev (>= 6.22.0~),
-               libkf6itemviews-dev (>= 6.22.0~),
-               libkf6widgetsaddons-dev (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
+               libkf6contacts-dev (>= 6.23.0~),
+               libkf6coreaddons-dev (>= 6.23.0~),
+               libkf6i18n-dev (>= 6.23.0~),
+               libkf6itemviews-dev (>= 6.23.0~),
+               libkf6widgetsaddons-dev (>= 6.23.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kpeople
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpeople
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpeople
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpeople
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpeople.git
 
 Package: libkf6people-data
 Architecture: all
@@ -50,7 +49,7 @@
          libkf6peoplebackend6 (= ${binary:Version}),
          libkf6peoplewidgets6 (= ${binary:Version}),
          qml6-module-org-kde-people (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6people-doc (= ${source:Version}),
 Description: development files for kpeople
@@ -128,7 +127,9 @@
 Package: qml6-module-org-kde-people
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
